<?php header('Content-Type: text/xml, charset=utf-8');
echo'<?xml version="1.0"?>'."\n";?>
<gpx version="1.0" creator="ServiceLocatorPHP"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xmlns="http://www.topografix.com/GPX/1/0"
xsi:schemaLocation="http://www.topografix.com/GPX/1/0 http://www.topografix.com/GPX/1/0/gpx.xsd">
<?php

require_once('dbutils.php');
require_once('locationfuncs.php');
require_once('externaldbfuncs.php');
require_once('config.php');

$masterdb = new GenericSqliteTable("var/master.db","master");
$ids = $masterdb->GetKeys();
$externaldb = new GenericSqliteTable("var/externaldb.db","external");
$nameCol = GetConfigOption('nameCol');

foreach($ids as $id)
{
	//$bestOsm = GetBestOsmLink($id);
	//if($bestOsm[0]!=Null) continue; //Already in OSM
	$loc = GetBestLocation($id);
	if($loc[0]==Null) continue; //No idea where to begin looking
	if($loc[1]==0) continue; //If we have exact position, skip this
	$record = $masterdb[$id];

	//echo $id." ".($bestOsm[0]==Null)."<br\>\n";
	$way = '<wpt lat="'.$loc[0][0].'" lon="'.$loc[0][1].'"><name>'.htmlspecialchars($record[$nameCol]).'</name></wpt>'."\n";
	echo $way;

}



$footerDone = 1;
?>
</gpx>

